Subject: Grad. School in plant propagation?
From: [email-masked] (Osama Al-Shaykh-Yousef)
Date: 16 Aug 1994 12:27:06 -0400
Newsgroups: bionet.plants

Hello,

I am posting this for my brother. He completed his B.Sc. in 
agriculture specializing in plant production from University 
of Jordan in 1994. He was amongst the top 10% in his class.

He is planning to pursue graduate studies in the field of
plant propagation. He did some work related to that while
he was doing his undergrad studies in Jordan.

I need your help in finding good schools and programs for
him to apply.

Thank you, I appreciate any help
 
Osama K. Al-Shaykh
25181 GA Tech Station
Georgia Institute of Technolog,
Atlanta, Ga 30332

email: [email-masked]
-- 
Osama Al-Shaykh-Yousef
Georgia Institute of Technology, Atlanta Georgia, 30332
uucp:	  ...!{decvax,hplabs,ncar,purdue,rutgers}!gatech!prism!gt5181b
Internet: [email-masked]